%define shortname linebreak
%define cvs_date 20080421

# static library, no useful debug information
%define debug_package %{nil}

Name:           liblinebreak
Version:        0.9.6
Release:        0.4.%{cvs_date}cvs%{?dist}
Summary:        A Unicode line-breaking library

Group:          Development/Libraries
License:        zlib
URL:            http://vimgadgets.cvs.sourceforge.net/vimgadgets/common/tools/linebreak
# to check out:
# cvs -z3 -d:pserver:anonymous@vimgadgets.cvs.sourceforge.net:/cvsroot/vimgadgets co -D %{cvs_date} common/tools/linebreak
Source0:        %{shortname}-%{version}-%{cvs_date}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
#Requires:       
Provides:       liblinebreak-devel  = %{version}-%{release}
Provides:       liblinebreak-static = %{version}-%{release}

%description
liblinebreak is an implementation of the line breaking algorithm as
described in Unicode 5.0.0 Standard Annex 14, Revision 19, available
at http://www.unicode.org/reports/tr14/tr14-19.html

This package currently only provides a static library, and as such
should not be a runtime dependency.


%prep
%setup -q -n %{shortname}


%build
make CFLAGS="$RPM_OPT_FLAGS -fPIC" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_includedir} $RPM_BUILD_ROOT%{_libdir}
cp -p linebreak.h $RPM_BUILD_ROOT%{_includedir}
cp -p DebugDir/liblinebreak.a $RPM_BUILD_ROOT%{_libdir}/


%clean
rm -rf $RPM_BUILD_ROOT


#%post -p /sbin/ldconfig

#%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENCE README
%{_includedir}/*
%{_libdir}/*.a


%changelog
* Thu Jul 31 2008 Michel Salim <michel@berlin.local> - 0.9.6-0.4.20080421cvs%{?dist}
- Rename package to liblinebreak, providing -{devel,static}

* Mon Jul 14 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.9.6-0.3.20080421cvs
- Change versioning scheme
- Updated checkout instructions

* Mon Jun  9 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.9.6-0.2
- Rename to liblinebreak-devel, provides liblinebreak-static

* Wed Jun  4 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.9.6-0.1
- Initial package

